=== debian/control ===
Source: merkuro
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               kirigami-addons-dev (>= 1.4.0~),
               libakonadi-dev (>= 4:25.12.1~),
               libakonadicalendar-dev (>= 4:25.12.1~),
               libakonadicontact-dev (>= 4:25.12.1~),
               libakonadimime-dev (>= 4:25.12.1~),
               libakonadisearch-dev (>= 4:25.12.1~),
               libgpgme-dev,
               libgpgmepp-dev,
               libkcalendarutils-dev (>= 4:25.12.1~),
               libkdepim-dev (>= 4:25.12.1~),
               libkf6calendarcore-dev (>= 6.18.0~),
               libkf6configwidgets-dev (>= 6.18.0~),
               libkf6contacts-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6holidays-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6qqc2desktopstyle-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkidentitymanagement-dev (>= 25.12.1~),
               libkirigami-dev (>= 6.18.0~),
               libkleo-dev (>= 4:25.12.1~),
               libkmailtransport-dev (>= 25.12.1~),
               libkmbox-dev (>= 25.12.1~),
               libkmime-dev (>= 25.12.1~),
               libmailcommon-dev (>= 4:25.12.1~),
               libmimetreeparser-dev (>= 25.12.1~),
               libpimcommon-dev (>= 4:25.12.1~),
               libplasma-dev,
               messagelib-dev (>= 4:25.12.1~),
               qml6-module-qtlocation,
               qt6-base-dev (>= 6.8.0~),
               qt6-declarative-dev (>= 6.8.0~),
               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
               qt6-location-dev (>= 6.8.0~),
               qt6-svg-dev (>= 6.8.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/merkuro
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/merkuro
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/merkuro.git
Rules-Requires-Root: no

Package: merkuro
Architecture: amd64 arm64 armhf i386
Depends: akonadi-server,
         kdepim-runtime,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: kalendarac,
Description: Application suite for emails, calendars, contacts and tasks
 Merkuro is a application suite designed to make handling your emails,
 calendars, contacts, and tasks simple. Merkuro handles local and remote
 accounts of your choice, keeping changes synchronised across your
 Plasma desktop or phone.
