## merkuro 25.12.1+p24.04+vstable+git20260130.1319

=== debian/changelog ===
merkuro (25.12.1+p24.04+vstable+git20260130.1319-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 13:19:40 +0000

merkuro (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:18:13 +1000
