## merkuro 25.12.1+p24.04+vunstable+git20260205.0838

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,37 +2,36 @@
 #
 # SPDX-License-Identifier: BSD-2-Clause
 
-cmake_minimum_required(VERSION 3.16)
+cmake_minimum_required(VERSION 3.27)
 
 # KDE Applications version, managed by release script.
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(merkuro VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_REQUIRED_VERSION "6.8.0")
-set(KF_MIN_VERSION "6.18.0")
+set(QT_REQUIRED_VERSION "6.9.0")
+set(KF_MIN_VERSION "6.21.0")
 
-set(AKONADI_CONTACT_VERSION "6.6.1")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.1")
-set(MAILTRANSPORT_LIB_VERSION "6.6.1")
-set(CALENDARUTILS_LIB_VERSION "6.6.1")
-set(AKONADICALENDAR_LIB_VERSION "6.6.1")
-set(AKONADISEARCH_LIB_VERSION "6.6.1")
-set(KMIME_LIB_VERSION "6.6.1")
-set(AKONADI_LIB_VERSION "6.6.1")
-set(MIMETREEPARSER_LIB_VERSION "6.6.1")
-set(MAILCOMMON_LIB_VERSION "6.6.1")
-set(AKONADIMIME_LIB_VERSION "6.6.1")
-set(AKONADICONTACT_LIB_VERSION "6.6.1")
-set(KMIME_LIB_VERSION "6.6.1")
-set(MESSAGECOMPOSER_LIB_VERSION "6.6.1")
-set(KMBOX_LIB_VERSION "6.6.1")
-set(LIBKDEPIM_LIB_VERSION "6.6.1")
-set(PIMCOMMON_LIB_VERSION "6.6.1")
-set(KPIM_LIBKLEO_VERSION "6.6.1")
+set(AKONADI_CONTACT_VERSION "6.6.40")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.6.40")
+set(MAILTRANSPORT_LIB_VERSION "6.6.40")
+set(CALENDARUTILS_LIB_VERSION "6.6.40")
+set(AKONADICALENDAR_LIB_VERSION "6.6.40")
+set(AKONADISEARCH_LIB_VERSION "6.6.40")
+set(KMIME_LIB_VERSION "6.6.44")
+set(AKONADI_LIB_VERSION "6.6.40")
+set(MIMETREEPARSER_LIB_VERSION "6.6.40")
+set(MAILCOMMON_LIB_VERSION "6.6.40")
+set(AKONADIMIME_LIB_VERSION "6.6.40")
+set(AKONADICONTACT_LIB_VERSION "6.6.40")
+set(MESSAGECOMPOSER_LIB_VERSION "6.6.40")
+set(KMBOX_LIB_VERSION "6.6.40")
+set(LIBKDEPIM_LIB_VERSION "6.6.40")
+set(PIMCOMMON_LIB_VERSION "6.6.40")
+set(KPIM_LIBKLEO_VERSION "6.6.40")
 
 
 ################# set KDE specific information #################
@@ -45,9 +44,7 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
 )
 
-set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 include(KDEInstallDirs)
 include(KDECMakeSettings)
@@ -160,7 +157,12 @@
 ki18n_install(po)
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0 KMIME 6.7.0)
 add_definitions(-DQT_STRICT_ITERATORS)
 add_subdirectory(src)
 add_subdirectory(icons)
