## merkuro 25.12.2

=== debian/changelog ===
merkuro (25.12.2-0ubuntu4) resolute; urgency=medium

  * Rebuild for gpgme1.0 2.0.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Mar 2026 11:38:47 +0000

merkuro (25.12.2-0ubuntu3) resolute; urgency=high

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Feb 2026 13:32:06 +0000

merkuro (25.12.2-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for gpgme1.0 2.0

 -- Ural Tunaboyu <ural.tunaboyu@canonical.com>  Wed, 25 Feb 2026 09:05:49 +0000

merkuro (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 08 Feb 2026 16:44:09 +0000

merkuro (25.12.1-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:52:28 +0000

merkuro (25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 11:38:43 +0000

merkuro (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:18:00 +0000
