=== debian/control ===
Source: merkuro
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               kirigami-addons-dev (>= 1.4.0~),
               libakonadi-dev (>= 4:25.12.2~),
               libakonadicalendar-dev (>= 4:25.12.2~),
               libakonadicontact-dev (>= 4:25.12.2~),
               libakonadimime-dev (>= 4:25.12.2~),
               libakonadisearch-dev (>= 4:25.12.2~),
               libgpgme-dev,
               libgpgmepp-dev,
               libkcalendarutils-dev (>= 4:25.12.2~),
               libkdepim-dev (>= 4:25.12.2~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6holidays-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6qqc2desktopstyle-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.12.2~),
               libkirigami-dev (>= 6.6.0~),
               libkleo-dev (>= 4:25.12.2~),
               libkmailtransport-dev (>= 25.12.2~),
               libkmbox-dev (>= 25.12.2~),
               libkmime-dev (>= 25.12.2~),
               libmailcommon-dev (>= 4:25.12.2~),
               libmimetreeparser-dev (>= 25.12.2-0ubuntu4~),
               libpimcommon-dev (>= 4:25.12.2~),
               libplasma-dev,
               messagelib-dev (>= 4:25.12.2~),
               qml6-module-qtlocation,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev (>= 6.6.0+dfsg~),
               qt6-location-dev,
               qt6-svg-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/merkuro
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/merkuro
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/merkuro
Rules-Requires-Root: no

Package: merkuro
Architecture: amd64 amd64v3 arm64 armhf i386
Depends: akonadi-server,
         kdepim-runtime,
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: kalendarac,
Description: Application suite for emails, calendars, contacts and tasks
 Merkuro is a application suite designed to make handling your emails,
 calendars, contacts, and tasks simple. Merkuro handles local and remote
 accounts of your choice, keeping changes synchronised across your
 Plasma desktop or phone.
