=== debian/changelog ===
merkuro (25.12.2+p24.04+vunstable+git20260207.0636-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 07 Feb 2026 06:36:55 +0000

merkuro (25.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Feb 2026 07:10:37 +0000
